/*
 ***********************************************************
 $SNARK_Header$
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/trm6.cpp $
 $LastChangedRevision: 122 $
 $Date: 2014-07-09 18:18:59 -0400 (Wed, 09 Jul 2014) $
 $Author: agulati $
 ***********************************************************
 */

#include "DistanceMeasurePixel.h"
#include "blob.h"
#include "geom.h"

using namespace std;

DistanceMeasurePixel::DistanceMeasurePixel(char* distanceNameIn) :
		DistanceMeasure(distanceNameIn) {
}

DistanceMeasurePixel::~DistanceMeasurePixel() {
}

REAL DistanceMeasurePixel::calculateDistanceForBlob(REAL* reconBlob,
INTEGER* list, REAL* weight) {

	// if input uses blob basis functions --> it needs to be converted to pixel first
	REAL* reconPixel = new REAL[GeoPar.area];
	Blob.blob2pix(reconBlob, reconPixel);

	REAL distance = this->calculateDistanceForPixel(reconPixel, list, weight);
	delete[] reconPixel;

	return distance;
}
