/* 
 ***********************************************************
 $SNARK_Header$
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/trm6.h $
 $LastChangedRevision: 122 $
 $Date: 2014-07-09 18:18:59 -0400 (Wed, 09 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 Class to calculate the Weighted SQuared Distance (WSQD)

 */

#ifndef Distance_Measure_WSQD
#define Distance_Measure_WSQD

#include "blkdta.h"
#include "DistanceMeasurePixel.h"

class DistanceMeasureWSQD: public DistanceMeasurePixel {

// attributes

// methods
public:
	DistanceMeasureWSQD();
	virtual ~DistanceMeasureWSQD();

	virtual REAL calculateDistanceForPixel(REAL* reconPixel, INTEGER* list,
			REAL* weight);
};

#endif
