/* 
***********************************************************
$SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
$HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/blkdta.h $
$LastChangedRevision: 85 $
$Date: 2014-07-02 16:07:08 -0400 (Wed, 02 Jul 2014) $
$Author: agulati $
***********************************************************
*/

#ifndef BLKDATA_H
#define BLKDATA_H

#define REAL    double
//#define REAL    float
#define INTEGER int
#define BOOLEAN bool
#define CHAR    char

#define TRUE    true
#define FALSE   false

// macros
#define CHAR2INT(CHAR1, CHAR2, CHAR3, CHAR4) ( (((INTEGER)(CHAR1))<<24) | (((INTEGER)(CHAR2))<<16) | (((INTEGER)(CHAR3))<<8) | (((INTEGER)(CHAR4))))

#define SQR(NUM1) ((NUM1)*(NUM1))

// Array of complex numbers
#define CA(ARRAY, ELEMENT, INDEX) ARRAY[(ELEMENT) + 2 * (INDEX)]

#define MIN0(ARG1, ARG2) (((ARG1) > (ARG2)) ? (ARG2) : (ARG1))
#define MAX0(ARG1, ARG2) (((ARG1) < (ARG2)) ? (ARG2) : (ARG1))


extern INTEGER trace;

#ifdef WIN32

// changed "rint" to "round". Lajos, Jan 25, 2005
#define round(X) (floor((X) + 0.5))

#endif

#endif
