/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/consts.cpp $
 $LastChangedRevision: 85 $
 $Date: 2014-07-02 16:07:08 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************
 */

#include "consts.h"

const REAL Consts_class::zero = (REAL) 1.0e-20;
const REAL Consts_class::infin = (REAL) 1.0e20;

// PI
//REAL    pi = (REAL) 3.141592654;
const REAL Consts_class::pi = (REAL) 3.1415926535897932384626433832795;

// 2 * PI
//REAL    twopi = (REAL) 6.283185307;
const REAL Consts_class::twopi = (REAL) 6.283185307179586476925286766559;

// PI * PI
//REAL    pisq = (REAL) 9.869604401;
const REAL Consts_class::pisq = (REAL) 9.8696044010893586188344909998762;

// PI / 2
//REAL    pid2 = (REAL) 1.570796327;
const REAL Consts_class::pid2 = (REAL) 1.5707963267948966192313216916398;

// 3 ^ 0.5
//REAL    sqrt3 = (REAL) 1.7320508;
const REAL Consts_class::sqrt3 = (REAL) 1.7320508075688772935274463415059;

// 1 / (3 ^ 0.5) 
//REAL    isqrt3 = (REAL) 0.57735027;
const REAL Consts_class::isqrt3 = (REAL) 0.57735026918962576450914878050196;

Consts_class Consts;
