/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/sinc.cpp $
 $LastChangedRevision: 97 $
 $Date: 2014-07-02 20:07:41 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 SINC(X)=SIN(PI*X)/(PI*X)
 */

#include <cstdio>
#include <cmath>

#include "blkdta.h"
#include "consts.h"

#include "sinc.h"

REAL sinc(REAL x)
{
	if (fabs(x) < Consts.zero)
	{
		return 1.0;
	}

	return (REAL) sin(Consts.pi * x) / (Consts.pi * x);
}
