/* 
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/pnchfile.h $
 $LastChangedRevision: 80 $
 $Date: 2014-07-01 21:01:54 -0400 (Tue, 01 Jul 2014) $
 $Author: agulati $
 ***********************************************************
 */

#ifndef PNCHFILE_H
#define PNCHFILE_H

extern class PunchFile_class
{
private:
	FILE* PnchFil;
	void WriteHeader(BOOLEAN Phantom);

public:

	PunchFile_class();
	int Open(BOOLEAN append);
	void WriteRecHeader(CHAR* recnam, CHAR* algn, INTEGER count, CHAR* prjnam);
	void WritePhantomHeader(CHAR* phnnam);
	void WriteData(REAL* recon, INTEGER nelem);
	void Close();

} PunchFile;

#endif
