/** @file selectEvalExecutions.hpp
    @package snark14Display
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef SELECTEVALEXECUTIONSWINDOW_HPP
#define SELECTEVALEXECUTIONSWINDOW_HPP

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QFrame;
class QListBox;
class QListBoxItem;
class QPushButton;
class SnarkDisplay;

class selectEvalExecutionsWindow : public QDialog
{ 
    Q_OBJECT

public:
    selectEvalExecutionsWindow( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 , int x = 0 , int y = 0 );
    ~selectEvalExecutionsWindow();

    QWidget* Parent;
    QFrame* Line6; // ?
    QListBox* evalExecutionsListBox;
    QPushButton* openbutton;
    QPushButton* selectbutton;
    QPushButton* clearselectbutton;
    QPushButton* closebutton;
public slots:
    void openEvalExecutions(); //?
///    void setEvalExecutionsNames(); //?
    void selectAll();
    void clearSelected();
};

#endif // SELECTEVALEXECUTIONSWINDOW_HPP
