/** @file selectimages.hpp
    @package snark14Display
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef SELECTIMAGESWINDOW_H
#define SELECTIMAGESWINDOW_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QFrame;
class QListBox;
class QListBoxItem;
class QPushButton;

class selectimageswindow : public QDialog
{ 
    Q_OBJECT

public:
    selectimageswindow( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~selectimageswindow();
    int* getSelectedImages();

    QFrame* Line6;
    QListBox* imageslistbox;
    QPushButton* okbutton;
    QPushButton* selectbutton;
    QPushButton* clearselectbutton;
    QPushButton* cancelbutton;
public slots:
    void selectAll();
    void clearSelected();
};

#endif // SELECTIMAGESWINDOW_H
