/** @file experiment.h
    @package snark14Input
    @author Bruno M. Carvalho and Deniz Sarioz
    licensed under (open-source) QPL v1.0
    which accompanies this distribution in the file QPL
*/

#ifndef EXPERIMENTWINDOW_H
#define EXPERIMENTWINDOW_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QFrame;
class QLabel;
class QLineEdit;
class QPushButton;

class experimentwindow : public QDialog
{ 
    Q_OBJECT

public:
    experimentwindow( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~experimentwindow();
    QString getOutput();

    QLineEdit* comments;
    QFrame* Line9;
    QPushButton* okbutton;
    QPushButton* cancelbutton;
    QLabel* TextLabel1;
protected:
    bool event( QEvent* );
};

#endif // EXPERIMENTWINDOW_H
